curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/fda?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.1/calendar/fda?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.1/calendar/fda?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fda": [
{
"commentary": "",
"companies": [
{
"cik": "",
"id": "62b3773a118ebc0001427b67",
"name": "Alpha Tau Medical Ltd.",
"securities": [
{
"exchange": "NASDAQ",
"symbol": "DRTS"
}
]
}
],
"created": 1767621777,
"date": "2026-01-05",
"drug": {
"generic": false,
"id": "62b3771c9c3cd100011418ce",
"indication_symptom": [
"Prostate cancer"
],
"name": "Alpha DaRT"
},
"event_type": "Provided Update",
"id": "695bc49183cac20001bec514",
"nic_number": "",
"notes": "",
"outcome": "Alpha Tau Medical Ltd. announced the submission of the first module of its pre-market approval (PMA) application to the U.S. Food and Drug Administration (FDA), following the FDA's previous decision to allow the Company to use the more flexible modular approach.",
"outcome_brief": "",
"source_link": "https://www.benzinga.com/pressreleases/26/01/g49690927/alpha-tau-submits-first-pre-market-approval-module-to-the-fda-for-alpha-dart-for-the-treatment-of-",
"source_type": "Press Release",
"status": "",
"target_date": "",
"time": "09:00:00",
"updated": 1767621823
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
FDA
Returns FDA approvals, clinical trials, and PDUFA (Prescription Drug User Fee Act) dates for pharmaceutical and biotech companies. Includes information about drug development stages, trial results, approval outcomes, and regulatory milestones.
{
"fda": [
{
"commentary": "",
"companies": [
{
"cik": "",
"id": "62b3773a118ebc0001427b67",
"name": "Alpha Tau Medical Ltd.",
"securities": [
{
"exchange": "NASDAQ",
"symbol": "DRTS"
}
]
}
],
"created": 1767621777,
"date": "2026-01-05",
"drug": {
"generic": false,
"id": "62b3771c9c3cd100011418ce",
"indication_symptom": [
"Prostate cancer"
],
"name": "Alpha DaRT"
},
"event_type": "Provided Update",
"id": "695bc49183cac20001bec514",
"nic_number": "",
"notes": "",
"outcome": "Alpha Tau Medical Ltd. announced the submission of the first module of its pre-market approval (PMA) application to the U.S. Food and Drug Administration (FDA), following the FDA's previous decision to allow the Company to use the more flexible modular approach.",
"outcome_brief": "",
"source_link": "https://www.benzinga.com/pressreleases/26/01/g49690927/alpha-tau-submits-first-pre-market-approval-module-to-the-fda-for-alpha-dart-for-the-treatment-of-",
"source_type": "Press Release",
"status": "",
"target_date": "",
"time": "09:00:00",
"updated": 1767621823
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Headers
Specifies return format. Query parameters work the same for both formats
application/json Query Parameters
Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date
Number of results returned. Limit 1000
Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest
Date to query from point in time
Date to query to point in time
Date to filter and sort calendar by. Default is announced
announced, target Some date fields (such as the FDA calendar target date) include fuzzy dates such as 2021-Q1. When filtering, you may choose to allow fuzzy date matching, or strict date matching that searches for ONLY dates that have an exact match within the given date period. Default TRUE
One or more security identifiers separated by a comma. Maximum 50 securities. Security identifiers must be in the format of ticker symbols, only for US-listed equities
Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated
Response
Success
API response containing an array of FDA event records
Show child attributes
Show child attributes
Was this page helpful?